# Run tox tests
%if 0%{?fedora}
%bcond_without test
%else
%bcond_with test
%endif

Name:           python-sdbus
Version:        0.12.0
Release:        1
Summary:        Modern Python D-Bus library. Based on sd-bus from libsystemd.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        LGPL-2.1-or-later
URL:            https://github.com/igo95862/python-sdbus
Source:         %{pypi_source sdbus}

BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  gcc
%if %{with test}
BuildRequires:  python3-tox-current-env
BuildRequires:  tox
%endif


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sdbus' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sdbus
Summary:        %{summary}

%description -n python3-sdbus %_description


%prep
%autosetup -p1 -n sdbus-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import
%if %{with test}
%tox
%endif


%files -n python3-sdbus -f %{pyproject_files}


%changelog
* Tue Aug 13 2024 Random Person <cvsec2@protonmail.com> - 0.12.0-1
- python-sdbus-0.12.0
